import { h } from "@stencil/core";
import { actions, tw } from "../../utils";
// NOTE: building indx mapping for the border highlighting...
const borderRight = [
    2, 5, 11, 14, 20, 23, 29, 32, 38, 41, 47, 50, 56, 59, 65, 68, 74, 77,
];
const borderLeft = borderRight.map(key => key + 1);
const borderBottom = [
    18, 19, 20, 21, 22, 23, 24, 25, 26, 45, 46, 47, 48, 49, 50, 51, 52, 53,
];
const borderTop = borderBottom.map(key => key + 9);
// Functional components return JSX...
const Cell = props => {
    const { cell, focus, selected, solved } = props;
    const { key, isClue, indx } = cell;
    const clue = key != '.' ? key : '';
    const genHandler = (cell, solved) => {
        return () => {
            if (!solved) {
                actions.select(cell);
            }
        };
    };
    return (h("label", { class: tw(`cell-${indx}`, borderRight.includes(indx) ? 'border-xbr-clrs-navy' : '', borderLeft.includes(indx) ? 'border-xbl-clrs-navy' : '', borderBottom.includes(indx) ? 'border-xbb-clrs-navy' : '', borderTop.includes(indx) ? 'border-xbt-clrs-navy' : '', 'h-8 w-8 border border-solid text-center leading-8', selected
            ? 'border-clrs-red bg-clrs-red-a50 text-clrs-red'
            : focus
                ? 'border-clrs-gray bg-clrs-green-a50 font-bold'
                : isClue
                    ? 'border-clrs-gray bg-clrs-silver'
                    : clue !== ''
                        ? 'border-clrs-gray text-clrs-red'
                        : 'border-clrs-gray'), onClick: genHandler(cell, solved) }, clue));
};
export { Cell };
export default Cell;
