import { h } from "@stencil/core";
import { Alerts } from "./alerts";
import { Eswat2Io } from "./eswat2-io";
import { Header } from "./header";
import { Keys } from "./keys";
import { SudokuBoard } from "./sudoku-board";
import { ToolBar } from "./tool-bar";
import { actions } from "../../utils";
export class ProtoSudoku {
    constructor() {
        this.tag = 'proto-sudoku';
        this.platform = 'vercel';
    }
    componentDidLoad() {
        actions.initApp(this.platform);
    }
    render() {
        return (h("div", { key: '9f50eec975c4da5f4984b80380067d5155dda0d1', id: "app", class: "ds1-main relative max-w-min p-0.5" }, h(Eswat2Io, { key: 'e7bab7e257022a9920f8b43785d9dc33ab7fed65' }), h(Header, { key: 'd8c32e6b9c20b9fe6c8ff2e9fc7a9900057a2679' }, "Sudoku"), h(SudokuBoard, { key: '8a028015ae4380aaa54a406ccf5cc908816ca6a4' }), h(Keys, { key: '951b6d20ca7a99ced4c60aa39fe040af6e96dd46' }), h("hr", { key: '35ba2812a3b068b21b5252c5f07d0b5dc2f18527', class: "ml-0 mr-0" }), h(ToolBar, { key: '114e7edd4bf3da82ae344f56cb7e856ce17a6da8' }), h(Alerts, { key: '2c15eb0ba714d1e0c378882c62ce575c428adc2a' })));
    }
    static get is() { return "proto-sudoku"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["proto-sudoku.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["proto-sudoku.css"]
        };
    }
    static get properties() {
        return {
            "tag": {
                "type": "string",
                "attribute": "tag",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'proto-sudoku'"
            },
            "platform": {
                "type": "string",
                "attribute": "platform",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'vercel'"
            }
        };
    }
}
