const KEY = 'proto-sudoku';
const DATA = `${KEY}::data`;
const INPUTS = `${KEY}::inputs`;
const PICK = `${KEY}::pick`;
const getForKey = (key) => {
    const json = localStorage.getItem(key);
    return json ? JSON.parse(json) : undefined;
};
const storeForKey = (key, value) => {
    const json = JSON.stringify(value);
    localStorage.setItem(key, json);
};
const bag = {
    get: () => {
        return getForKey(DATA);
    },
    store: value => {
        storeForKey(DATA, value);
    },
    inputs: {
        get: () => {
            const line = getForKey(INPUTS);
            return [...line];
        },
        store: (value) => {
            storeForKey(INPUTS, value.join(''));
        },
    },
    pick: {
        get: () => {
            const pick = getForKey(PICK);
            return pick !== null ? pick : undefined;
        },
        store: (value) => {
            storeForKey(PICK, value >= 0 && value < 81 ? value : null);
        },
    },
};
export { bag };
export default bag;
